Package org.jbpm.process.builder.dialect.java

## Class JavaActionBuilder

- java.lang.Object
- - org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder
  - - org.jbpm.process.builder.dialect.java.JavaActionBuilder

- All Implemented Interfaces:
    `ActionBuilder`

      public class JavaActionBuilder
      extends AbstractJavaProcessBuilder
      implements ActionBuilder

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder

      `INVOKER_REGISTRY, RULE_REGISTRY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaActionBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `build​(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver)` |
    `protected void` | `buildAction​(org.drools.compiler.rule.builder.PackageBuildContext context, DroolsAction action, org.drools.compiler.lang.descr.ActionDescr actionDescr, ContextResolver contextResolver, String className, org.drools.compiler.compiler.AnalysisResult analysis)` |
    `protected org.drools.compiler.compiler.AnalysisResult` | `getAnalysis​(org.drools.compiler.rule.builder.PackageBuildContext context, org.drools.compiler.lang.descr.ActionDescr actionDescr)` |
    `protected String` | `getClassName​(org.drools.compiler.rule.builder.PackageBuildContext context)` |

    - ### Methods inherited from class org.jbpm.process.builder.dialect.java.AbstractJavaProcessBuilder

      `collectTypes, createVariableContext, createVariableContext, generateTemplates, getInvokerTemplateRegistry, getRuleTemplateRegistry`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaActionBuilder

          public JavaActionBuilder()

  - ### Method Detail

    - #### build

          public void build​(org.drools.compiler.rule.builder.PackageBuildContext context,
                            DroolsAction action,
                            org.drools.compiler.lang.descr.ActionDescr actionDescr,
                            ContextResolver contextResolver)

      Specified by:
        `build` in interface `ActionBuilder`

    - #### getClassName

          protected String getClassName​(org.drools.compiler.rule.builder.PackageBuildContext context)

    - #### getAnalysis

          protected org.drools.compiler.compiler.AnalysisResult getAnalysis​(org.drools.compiler.rule.builder.PackageBuildContext context,
                                                                            org.drools.compiler.lang.descr.ActionDescr actionDescr)

    - #### buildAction

          protected void buildAction​(org.drools.compiler.rule.builder.PackageBuildContext context,
                                     DroolsAction action,
                                     org.drools.compiler.lang.descr.ActionDescr actionDescr,
                                     ContextResolver contextResolver,
                                     String className,
                                     org.drools.compiler.compiler.AnalysisResult analysis)